---
page.title: Tätigkeitsübersicht
pdf: false
coments: false
status: new
---
# Tätigkeitsübersicht

Auf dieser Seite habe ich die von mir durchgeführten Tätigkeiten zusammengestellt nach Kategorien. Da ich die Tätigkeiten in jeder Position durchgeführt habe sind diese zusammengefasst und gelten arbeitgeberübergreifend. Unter [Projekte](/projects/overview/) habe ich Einzelthemen genauer beschrieben.

!!! info

    Aufgrund meiner langjährigen Tätigkeit in der IT können Einzelthemen fehlen. Ich ergänze natürlich, sobald mir auffällt, wenn etwas fehlt. Gerne auch mich direkt ansprechen, ich habe sicherlich über das fehlende Thema etwas zu berichten...

!!! tip

    Für eine Übersicht eingesetzter Produkte verweise ich auf meinen umfangreichen [Techstack](/techstack/).

## DevOps-Engineering

- CI/CD: Unterstützung der Entwicklung mit Build-Pipelines und entsprechenden Softwareprodukten (Gitlab, Github, Jenkins, Woodpecker CI, ArgoCD, GoCD, ...) für verschiedene Szenarien (inkl. iOS/iPadOS-Pipelines)
- Bereitstellung von Systemen für die DevOps-Abteilung
- Bereitstellung von Systemen und Produkten für Kunden (bspw. Mercedes-Benz Onlinestore, Mercedes-Benz Lifestylekonfigurator)
- Weiterbildung zum Site Reliability Engineer
- Lesen/Verstehen von Code und Umsetzung der Anforderung aus der Entwicklung daraus was "Tolles" zu zaubern.

## Informationssicherheit & Datenschutz

- Vorbereitung ISO27001 & TISAX - Audits
- Aufbau und Pflege eines Regelwerks für die Unternehmung (Richtlinien, Leitlinien, technische Richtlinien, Handouts)
- Durchführung von internen Audits zur Überprüfung des Reifegrades (als ISO27001 Professional/Officer)
- Erstellung und Durchführung von Mitarbeiterschulungen (Awareness-Trainings)
- Unterstützung des Datenschutzbeauftragten (Umsetzung und Einhaltung von Datenschutzregelungen)
- Durchführung von Datenschutzfolgeabschätzungen für den Einsatz von neuen Anwendungen oder Services
- Risikomanagement
- Asset-Management (weitestgehend automatisiert), Lizenz-Management
- Kontinuierliche Verbesserung der Guidelines und Einführung von Neuerungen (bspw. bei KI-Themen)

## IT-Projektmanagement

- Projektierung und Durchführung von kleinen bis großen IT-Projekten
- Requirements-Management
- Systemplanung inkl. Dokumentation des Systemaufbaus (OPM)
- Resourcenzuteilung für die Umsetzung
- Dokumentation während aller Projektphasen
- Projekt- und Ressourcenplanung
- Kostenplanung
- Ggf. Aufplanen von Mitarbeiterschulungen bzw. -ankündigungen

## IT-Controlling & Einkauf

- Kostentransparenz für das Unternehmen herstellen
- Einführung von System zum Kostencontrolling der IT
- Requirements-Management für neue Anforderungen bzgl. Anschaffung von Hard- und Softwareprodukten
- Kostenkalkulation & Jahresplanungen
- Lizenz-Management & Lizenzprüfungen
- Beschaffung von Hard- und Software

## IT-Sicherheit

- Projektierung & Umsetzung eines Zero-Trust-Konzeptes nach BeyondCorp Best Practices mit Microsoft Entra ID
- Erstellung von Vorgaben zur Administration (bspw. durch Richtlinien) und Bereitstellung von Systemen (Desktop/Server), serverseitig via Ansible-Rollen/-Playbooks (Systemhardening)
- Endpoint-Protection (sowohl ESET als auch Defender für Endpoint)
- Einsatz von SIEM-Software (Wazuh & Microsoft Sentinel)
- Durch technische Neuerungen, bspw. KI, kommen natürlich immer neue Dinge hinzu. Beispiele:
    - Wie monitore ich eine KI?
    - Wie kontrolliere ich, dass keine personenbezogenen Daten abfließen?

## IT-Strategie

- Harmonisierung der IT-Strategie in Bezug auf die Unternehmensstrategie
- Festlegung Projektziele & Strategierahmen
- Erarbeitung IT-Strategie (Ziele & Leitlinien)
- Entwicklung von Handlungsfeldern & Lösungsansätzen
- Abstimmung in der Geschäftsleitung
- Risikomanagement
- Planung der notwendigen Changes
- Marktbeobachtung und neue Themen für das Unternehmen nutzbar machen

## Mobile Device Management / Mobile Application Management

- Einführung und Administration von MDM/MAM-Systemen (MicroMDM, JamfNow, Munki, Intune) für macOS-, Linux-, Windows-, Android- & iOS-Systemen
- Onboarding-Prozess-Gestaltung für neue Mitarbeiter
- Offboarding-Prozess-Gestaltung
- Einführung und Bereitstellung von neuen Anwendungen

## Netzwerkadministration

- Bereitstellung von Firmennetzen (über mehrere Standorte hinweg inkl. Rechenzentrum) - inkl. Planung und Administration.
- Planung von IT-Infrastruktur in neuen Firmenräumlichkeiten (Stuttgart/Pforzheim/Berlin)
- Umsetzung mit verschiedenen Komponenten von Ubiquiti, edge-core, CISCO
- Zentrales Management des Netzwerkes und Dokumentation (bspw. mit Netbox, i-doit, GLPI) inkl. IPAM
- Bereitstellung diverser Netzwerkservices und -protokolle (Zeitserver, Captive Portals)
- Bereitstellung und Administration von Firewalls und zentralen Gateways (pfSense)
- Erarbeitung Netzwerktopologien
- Umsetzung Rechenzentrumsbetrieb der zentralen Komponenten (bei Datacenter One, Frankfurt am Main und Vaihingen)
- Einführung und Bereitstellung von VPN-Services (Wireguard, OpenVPN, Pritunl)

## Service-Management

- Aufbau und Mitarbeit mehrerer ServiceDESKs für Kunden und interne Mitarbeiter (1st, 2nd, 3rd-Level-Support)
- Knowledgebase-Aufbau mithilfe von Knowledge-Centered-Service (KCS)
- Integration von KI-Workflows in Dokumentations- und Service-Management-Prozesse
- Dokumentation (automatisiert und manuell)
- Einführung von KPIs im Service-Management
- Mitarbeiterschulungen (Planung, Umsetzung und Durchführung) für ServiceDESK-Mitarbeiter und Mitarbeiter im Allgemeinen bspw. bei Neueinführung von Softwareprodukten
- Change Management
- Aufbau von Servicekatalogen
- Integration von Problem- und Eventmanagement
- Berücksichtigung von Best Practices nach ITIL v3/4 und FitSM v2/3

## Systemadministration

- Linux, Windows & macOS-Systeme
  - Linux-Distributionen: AlmaLinux, CentOS Stream, Debian, Fedora, Red Hat Enterprise Linux (RHEL) RockyLinux, Suse Linux Enterprise Server (SLES), Ubuntu
  - Windows Server bis Windows Server 2025
  - Windows Desktop bis Windows 11
  - daneben noch pfSense, TrueNAS, FreeBSD etc.
- Server-Virtualisierung (VMware, XenServer, Xen, KVM, XCPng, Proxmox)
- Self-Hosted PaaS-/IaaS-Bereitstellung und Administration (Dokku, OpenShift, Cloudstack)
- Bereitstellung und Administration von Docker-Instanzen & Kubernetes-Clustern
- Einführung und Einsatz von Backupsystemen (bspw. Proxmox Backup, früher auch Veeam)
- Konfigurationsmanagement (Ansible & Puppet)
- Automatisierung von wiederkehrenden Tasks (Ansible, n8n)
- (Shell-)Scripting (mit Bash, Zsh, Powershell, Python, Perl)
- Systemdokumentation (automatisiert und manuell)
- Systemhardening nach Best Practices (bspw. nach CIS-Guidelines) und möglichst automatische 
- Einführung und Administration von Cloud-Diensten (M365, Atlassian-Services, miro, ...) inkl. Hardening-Maßnahmen
- Aufbau und Betrieb einer Hybrid-Bereitstellung von M365 mit lokalen EXS+AD-Services
- Schulungen für Sysadmins & DevOps Engineers
- Observability & Monitoring (bspw. Prometheus, Zabbix, Graylog)
- Bereitstellung und Administration von Microsoft Remote Desktop Services (on-premise) und VDI unter Azure.
- Bereitstellung & Administration von Cloud-Diensten (Digital Ocean, Hetzner, OVH, Azure, AWS, GCP, Vercel)
- Administration und Bereitstellung von KI-Cloudservices (OpenAI, Azure AI, Mistral AI, AWS Bedrock) und lokalen KI-Services (Ollama, FlowiseAI, Unternehmensentwicklungen)
- Datenbankadministration (MSSQL, MySQL, PostgreSQL, Oracle Database, MariaDB, MongoDB, ...)

## Teamleitung

- Disziplinarische und fachliche Führung von Teams
- Vorbereitung, Durchführung und Nachbereitung von Jahresgesprächen & Mitarbeitergesprächen
- Personalplanung und Personalbeschaffung
- Erarbeiten von Weiterentwicklungspotentialen
- Durchführung und Organisation von Teammeetings & -events
- Resourcenplanung (Einplanung der Mitarbeiter in interne und externe Projekte)
- Teamplanung
- Planung, Durchführung und Nachbereitung von Roadmap-Meetings
- Mitarbeitercoaching
- Fachliche Aufbereitung von neuen Themen und ggf. Schulung in diesen Themengebieten