---
template: home.html
title: Stephan Hadan
comments: false
pdf: false
hide:
  - toc
  - navigation
  - feedback
  - title
---

# Was ich biete ...

... ich bin seit 25 Jahren in der IT tätig in verschiedenen verantwortlichen Positionen. Zum ersten Mal richtig mit IT bin ich 1986 mit meinem eigenen *IBM Personal Computer XT* in Berührung gekommen.<br />

... disziplinarische und fachliche Führungsverantwortung ist für mich kein Fremdwort. Menschen anleiten und durch mein Wissen zu inspirieren und weiterzubringen ist für mich essenziell. Für mich ist auch der Rückkanal wichtig und auch ich nehme Wissen gerne lernbegierig auf.<br />

... durch meine langjährige Erfahrung in verschiedenen Tätigkeitsfeldern bin ich in der Lage, Projekte zügig und effizient umzusetzen. Durch das über Jahre laufende ERP-Entwicklungsprojekt bin ich in der Lage, die Schmerzen und Anforderungen von Entwicklern zu verstehen.

... neue Technologien zu entdecken, Dinge weiterzuentwickeln und auch zu hinterfragen ist für mich wichtig und zentraler Bestandteil meiner Arbeit. Permanente Neugier und Lernbereitschaft zeichnen mich aus.<br />

... IT- und Informationssicherheit sind für mich permanent zu berücksichtigen, ebenso eine saubere Integration des Datenschutzes. Zero Trust Security ist für mich ein wichtiger Baustein in der IT, und ich bin ein Befürworter des Einsatzes.<br />

... ich bin ein Dokumentationsfanatiker und dokumentiere viel, sehr deutlich und ausführlich. Am liebsten natürlich in Markdown 😉 ...<br />

... gerne greife ich auf Open-Source-Software zurück und gebe ihr bei entsprechender Eignung gerne den Vorzug vor proprietärer Software. [Seafile](https://www.seafile.com/en/home/), [Seatable](https://seatable.io/), [Wekan](https://wekan.github.io/), [Vaultwarden](https://www.vaultwarden.net/), [Kubernetes](https://kubernetes.io/) oder [Podman](https://podman.io/) sind nur einige Beispiele.<br />

... den aktuellen AI-Themen stehe ich aufgeschlossen gegenüber, habe jedoch eine gesunde Skepsis und hinterfrage gerne - setze natürlich für bestimmte Anwendungszwecke entsprechende Werkzeuge ein.

... gerne arbeite ich bevorzugt mit MacBooks auf Basis von macOS als Client-Systeme, Linux-Desktops sind Spitzenklasse und bieten alles, was das Herz begehrt. Windows bin ich nicht abgeneigt. Server-Systeme nehme ich so, wie sie kommen. Linux, Windows Server, Solaris, BSDUnix ... alles schon im Einsatz verwendet.

... ich bin ein [Befürworter für digitale Souveränität in Europa](/blog/category/digitale-souver%C3%A4nit%C3%A4t/) 🇪🇺 und sehe hierin einen wesentlichen Vorteil für eine offene und funktionierende Gesellschaft. Verbunden mit zukunftsweisenden Themen wie aktivem Klimaschutz, fairen Arbeitsbedingungen und einer weitsichtigen Wirtschaftspolitik ist das für mich essenziell für Europas 🇪🇺 Zukunft.

Nähere Auskünfte über meinen schulischen und beruflichen Werdegang entnehme bitte meinem [Lebenslauf](/cv/overview/). Wesentliche Erfahrungswerte mit Technologien und Tools finden sich in meinem [Tech-Stack](/techstack/). Projektbeschreibungen und Testimonials sind unter [Projekte](/projects/overview/) aufgeführt.

---

# Auswahl Kunden und Dienstleister

<div class="exchange-grid">
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/zeiss.png" alt="ZEISS" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/zeiss.png" alt="ZEISS" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/stackit.svg" alt="STACKIT" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/stackit.svg" alt="STACKIT" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/Mercedes-Benz.png" alt="Mercedes-Benz" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/Mercedes-Benz.png" alt="Mercedes-Benz" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/Vodafone.png" alt="Vodafone" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/Vodafone.png" alt="Vodafone" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/edge-core.png" alt="Edge-core" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/edge-core.png" alt="Edge-core" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/Smart.png" alt="Smart" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/Smart.png" alt="Smart" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/digitalocean.svg" alt="DigitalOcean" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/digitalocean.svg" alt="DigitalOcean" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/energy_net_dark.png" alt="energy net" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/energy_net_dark.png" alt="energy net" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/drucklos.png" alt="Druck-Los" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/drucklos.png" alt="Druck-Los" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/microsoft.png" alt="Microsoft" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/microsoft.png" alt="Microsoft" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/hetzner.png" alt="Hetzner" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/hetzner.png" alt="Hetzner" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/bosch.png" alt="BOSCH" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/bosch.png" alt="BOSCH" class="light-logo"/>
  </div>
   <div class="flex-item">
    <img loading="lazy" src="/assets/logos/dell.svg" width="96" alt="Dell" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/dell.svg" width="96" alt="Dell" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/aws.png" alt="Amazon Web Services" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/aws.png" alt="Amazon Web Services" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/dc1.png" alt="Datacenter One" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/dc1.png" alt="Datacenter One" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/cws-boco.png" alt="CWS-boco" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/cws-boco.png" alt="CWS-boco" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/doerwang.png" alt="D. Dörwang GmbH" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/doerwang.png" alt="D. Dörwang GmbH" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/thomas-krenn.png" alt="Thomas-Krenn.AG" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/thomas-krenn.png" alt="Thomas-Krenn.AG" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/apple-white.svg" width="80" alt="Apple" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/apple-black.svg" width="80" alt="Apple" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/ovh.png" alt="OVH" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/ovh.png" alt="OVH" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/ubiquiti.png" alt="Ubiquiti" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/ubiquiti.png" alt="Ubiquiti" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/t-systems.png" alt="T-Systems" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/t-systems.png" alt="T-Systems" class="light-logo"/>
  </div>
  <div class="flex-item">
    <img loading="lazy" src="/assets/logos/eth-dark.png" alt="ETH-Services" class="dark-logo"/>
    <img loading="lazy" src="/assets/logos/eth-light.png" alt="ETH-Services" class="light-logo"/>
  </div> 
</div>

---

# Meine Projekthighlights

<div class="grid" markdown>

<span class="quote">
:material-format-quote-open:
Von 1999 bis 2007 habe ich mit Unterstützung der SteinhilberSchwehr GmbH für die Hermann A. Trautz Schmuckwarenfabrik GmbH & Co. KG ein ERP-System für die Schmuckbranche entwickelt und im Unternehmen eingeführt.
:material-format-quote-close:
</span>
<br/><br/>
<a href="/projects/profiles/programming/" class="author centered">Zum Projektsteckbrief</a>
<br />
{ .testimonial }

<span class="quote">
:material-format-quote-open:
In 25 Jahren IT-Tätigkeit gab es viele ortsbedingte Umstrukturierungen. Umzüge in neue Unternehmensstandorte helfen dabei, auch die baulichen Umsetzungen mitzubestimmen und technische Veränderungen an der Infrastruktur zu planen und umzusetzen.:material-format-quote-close:
</span>
<br/><br/>
<a href="/projects/profiles/relocations/" class="author centered">Zum Projektsteckbrief</a>
<br/>
{ .testimonial }

<span class="quote">
:material-format-quote-open:
Von 2015 bis 2017 begleitete ich als DevOps Engineer die Umsetzung des Mercedes-Benz Lifestyle-Konfigurators. Hierbei kam ich das erste Mal mit Amazon Web Services in Berührung und durfte den SaaS-Dienst mit dem Kunden rechtssicher vorbereiten.:material-format-quote-close:
</span>
<br/><br/>
<a href="/projects/profiles/lifestyle-konfigurator/" class="author centered">Zum Projektsteckbrief</a>
<br/>
{ .testimonial }

<span class="quote">
:material-format-quote-open:
Echte Pionierarbeit: Ab Ende 2012 bis Mitte 2018 arbeitete ich im Team am Projekt "Mercedes-Benz Online-Store" von Grund auf und baute und betreute systemseitig die Plattform für den Online-Verkauf von Fahrzeugen in Deutschland und zu Anfang in Polen.
:material-format-quote-close:
</span>
<br/><br/>
<a href="/projects/profiles/online-store/" class="author centered">Zum Projektsteckbrief</a>
<br/>
{ .testimonial }

<span class="quote">
:material-format-quote-open:
Moderne Sicherheitskonzepte gehören zum Portfolio eines IT Operation Engineers. Zero-Trust-Security sollte eines davon sein. Die Umsetzung kann mit den Werkzeugen der Global Player wie Microsoft erfolgen oder aber einen eigenen "privaten" Ansatz verfolgen.
:material-format-quote-close:
<br/><br/>
<a href="/projects/profiles/zero-trust-security/" class="author centered">Zum Projektsteckbrief</a>
<br/>
{ .testimonial }

<span class="quote">
:material-format-quote-open:
Einfacher und solider Hard- und Softwarerollout muss in Unternehmen Bestandteil des Onboarding-Prozesses neuer Mitarbeiter sein. Die Reise von einem OSS-System für den Knowledge-Aufbau zu einem proprietären MDM-System ist spannend!
:material-format-quote-close:
</span>
<br/><br/>
<a href="/projects/profiles/mdm-mam-journey/" class="author centered">Zum Projektsteckbrief</a>
<br/>
{ .testimonial }

</div>

---

# Weitere Projekte

### Abseits der ausführlich beschriebenen Projekte in den Steckbriefen habe ich noch viele weitere spannende Themen bearbeitet. Einen Überblick dazu findest du weiter unten – übersichtlich in Kategorien geordnet.

<div class="grid cards" markdown>

-   [![](/assets/images/customer.png)](/projects/customerprojects/)

    ### [Kundenprojekte](/projects/customerprojects/)

-   [![](/assets/images/internal.png)](/projects/internalprojects/)

    ### [Interne IT Projekte](/projects/internalprojects/)

-   [![](/assets/images/private.png)](/projects/privateprojects/)

    ### [Private Projekte](/projects/privateprojects/)

</div>

<br />

Illustrations by [unDraw](https://undraw.co/).

---


# Bleiben wir in Kontakt

[:fontawesome-brands-mastodon: Folge @stiebke auf **Mastodon**](https://freiburg.social/@stiebke)<br />
[:fontawesome-brands-bluesky: Folge @stiebke auf **Bluesky**](https://bsky.app/profile/stiebke.bsky.social)<br />

[:simple-codeberg: Mein Profil auf **Codeberg**](https://codeberg.org/stiebke25)<br />
[:fontawesome-brands-xing: Mein Profil auf **Xing**](https://www.xing.com/profile/Stephan_Hadan)<br />
[:fontawesome-brands-linkedin: Mein Profil auf **LinkedIn**](https://de.linkedin.com/in/stiebke2010)<br />

Daneben stehen weitere Kontaktmöglichkeiten auf meiner [Kontakteseite](/contact/) zur Verfügung.