---
pdf: false
comments: false
status: new
---
# Private Projekte

## Künstliche Intelligenz

Eines meiner Anliegen ist es, künstliche Intelligenz für alle verfügbar zu machen und dabei die Informationssicherheit und den Datenschutz zu wahren.

Deswegen setze ich mich derzeit vor allem mit der Erstellung von KI-Agenten auseinander und die Bereitstellung ausführlich mit frei verfügbaren (Open-Source-)Produkten.

Eingesetze Komponenten sind hierbei:

* **n8n – Der Workflow-Automatisierer** n8n ist das Herzstück meiner Automatisierung. Mit seiner visuellen Oberfläche lassen sich No-Code-Workflows einfach erstellen und anpassen – ideal für Technik-Enthusiasten und Einsteiger gleichermaßen.
* **Docker/Podman – Container-Technologie** mit Docker oder Podman lassen sich Anwendungen isoliert in Containern betreiben. Dadurch bleibt das System sauber und flexibel, ohne klassische „Auf meinem Rechner läuft’s nicht“-Probleme.
* **Ollama – Lokale KI-Modelle** Ollama ermöglicht es, leistungsfähige KI-Modelle lokal zu nutzen – ohne Cloud-Anbindung und ohne Datenschutzrisiken.
* **SearXNG** – eine datenschutzfreundliche Suchmaschine, die Suchergebnisse aus verschiedenen Quellen kombiniert.
* **OpenAI-Edge-TTS** – eine hochwertige Text-zu-Sprache-Lösung mit Unterstützung für mehrere Sprachen.
* **LocalAI** – eine Open-Source-Alternative zu OpenAI, die lokal betrieben werden kann und verschiedene Modellfamilien unterstützt.
* **Open-WebUI** – eine vielseitige, selbst gehostete KI-Plattform zur Interaktion mit KI-Agenten, als Alternative zu klassischen Chat-Interfaces wie Telegram.

<figure markdown="span">
  ![Open WebUI](images/openwebui.png){ loading=lazy }
  <figcaption>Open WebUI ist Bestandteil des Stacks für KI-Agenten</figcaption>
</figure>

* **Valkey** - als "Gehirn" um vergangene Chatabläufe einbeziehen zu können.
* **Qdrant** - als Verktordatenbank um auch RAG (Retrieval Augmented Generation) anbieten zu können und die Workflows mit eigenen Dokumenten/Wissen anzureichern.

<figure markdown="span">
  ![Beispielworkflow](images/workflow.png){ loading=lazy }
  <figcaption>Beispielworkflow zum Erstellen und Versenden eines Newsletters</figcaption>
</figure>

Eine der spannendsten Fragen, welche sich mir stellt, ist, ob freie Large-Language-Models auch in diesem Bereich und der o.g. Konstellation mit den proprietären Modellen ansatzweise mithalten können. Hierbei ist es aber wichtig zu verstehen, welche Modell in welchem Teil eines Workflows zum Einsatz kommen können.

## Smart Home

Meine Wohnung wird komplett mit Homekit von Apple gesteuert. Da mir jedoch die Apple-Produkte und -Zubehörlieferanten zu teuer sind, habe ich gute Hardware mit Homebridge integriert und binde diese durch die Bridge mit Homekit zusammen.

Herausgekommen ist ein System, welches meine Nebenkostenabrechnung seit Jahren in einem verträglichen Rahmen hält - durch vernünftige Regeln und Heizkörper-Thermostate, welche mit vernünftigen Regeln ein angenehmes Raumklima schaffen.

## Webseitenprojekte

Ich habe verschiedene persönliche Webseitenprojekte initiiert. Da ich sehr gerne mit Static Site Generators arbeite, sind diese entsprechend auch mit diesen Generatoren gebaut worden. Im Hintergrund läuft meine eigene Forgejo-Instanz, welche entsprechende Forgejo-Buildpipelines (Actions) aufruft und die Seiten generiert.

* [reaktionsfaehig.net](https://reaktionsfaehig.net) - Blog auf Hugo-Basis mit eigenem weiterentwickelten Blogtheme. Im Hintergrund wird Decap CMS verwendet, um Blogeinträge auch ohne Interaktion mit Git hinzuzufügen.
* Visitenkartensite [iamstephan.info](https://iamstephan.info) auf Hugo-Basis mit eigenem weiterentwickelten Theme.

Meine persönliche Website [stephan.hadan.de](https://stephan.hadan.de) (diese hier), wurde mit Mkdocs und der Erweiterung Material for Mkdocs entwickelt und publiziert. Das Theme wurde von mir entwickelt und entsprechend umgesetzt.

[Mein Tech-Stack](https://techstack.hadan.de) wurde mit iDoc realisiert und repräsentiert die Anwendungen, Werkzeuge und Betriebssysteme, welche ich bereits eingesetzt habe oder noch antesten möchte. Letztere sind genau gekennzeichnet.