---
pdf: false
comments: false
status: new
---
# Welches-Fahrzeug passt zu mir?

![Lifestyle-Konfigurator Ergebnis](images/lsk.png)

## Projektbeschreibung

**Projektzeitraum**: 2015-2017

Der Mercedes-Benz Lifestyle-Konfigurator wurde in Verbindung mit „She’s Mercedes“ entwickelt und stellte den Menschen, seinen Lifestyle und seine Bedürfnisse in den Mittelpunkt. Er ermöglichte eine personalisierte Fahrzeugwahl, indem Nutzer zunächst ihre individuelle Lebenswelt auswählten. Anhand von Fragen zu Architektur, Musik, Reisen, Sport und anderen Interessen wurden passende Modelle vorgeschlagen, die anschließend weiter angepasst werden konnten. Ziel war es, den Auswahlprozess intuitiver, schneller und unterhaltsamer zu gestalten. Laut Jens Thiemer, Vice President Marketing Mercedes-Benz-Cars, sollte der Konfigurator insbesondere Frauen gezielt ansprechen und ein intensiverer Dialog über ihre Mobilitätsbedürfnisse ermöglicht werden.

## Projektphase I

Der Mercedes-Benz Lifestyle-Konfigurator wurde auf der IAA 2015 der Öffentlichkeit vorgestellt. Im Vorfeld mussten Entwicklungsumgebungen bereitgestellt und Build-Pipelines erstellt werden, um die Software auf internen Systemen verfügbar zu machen. Für die Messe wurden unter anderem Touchdisplays beschafft und in den Entwicklungsprozess integriert.

Die Three-Tier-Architektur mit Frontend, Backend und Datenbank stellte das Betriebsteam vor neue Herausforderungen: Erstmals kamen MongoDB als NoSQL-Datenbanksystem sowie das Play-Framework zum Einsatz. Um eine ausreichende „Offline“-Fähigkeit für die IAA zu gewährleisten, wurden zwei Serversysteme bereitgestellt. Trotz dieser technischen Herausforderungen konnte das Gesamtsystem fristgerecht fertiggestellt und auf der Messe von meinem Team erfolgreich aufgebaut und eingesetzt werden.

<figure markdown="span">
  ![LSK auf IAA 2015](images/iaa2015.png){ loading=lazy }
  <figcaption>Der Lifestyle-Konfigurator auf der IAA 2015</figcaption>
</figure>

## Projektphase II

Nach der IAA wurde das Projekt für den Live-Betrieb im Internet weiterentwickelt. Zunächst erfolgte die Bereitstellung über eine Agenturplattform des Kunden als Zwischenlösung. Anschließend wurde vereinbart, den Lifestyle-Konfigurator als SaaS-Dienst über uns bereitzustellen. Hierfür setzten wir auf Amazon Web Services (AWS) und bereiteten die Migration entsprechend vor.

Parallel dazu wurde gemeinsam mit dem Kunden der Cloud-Risk-Prozess durchgeführt und ein Vertrag aufgesetzt, um die Anforderungen an den SaaS-Dienst abzubilden. Regelmäßige Reportings und Abstimmungen gewährleisteten den reibungslosen Betrieb. Mithilfe von AWS-Autoskalierungsprozessen konnte die Anwendung auch bei hoher Last stabil gehalten werden. Nach 1,5 Jahren Betrieb wurde die Anwendung am 30.11.2017 in Abstimmung mit dem Kunden durch mich abgeschaltet und zurückgebaut.

## Fazit

Der Mercedes-Benz Lifestyle-Konfigurator war ein erfolgreiches digitales Projekt, das sowohl auf der IAA 2015 als auch im anschließenden Online-Betrieb seine Innovationskraft bewies. Die Einführung neuer Technologien wie MongoDB und AWS brachte wertvolle Erkenntnisse für zukünftige Projekte. Die enge Zusammenarbeit mit dem Kunden, kombiniert mit modernen Cloud-Technologien, ermöglichte einen zuverlässigen und skalierbaren Betrieb. Mit der geplanten Abschaltung Ende 2017 wurde das Projekt erfolgreich abgeschlossen und hinterließ wertvolle Erfahrungen für die digitale Weiterentwicklung von Mercedes-Benz.