---
pdf: false
comments: false
status: new
---
# Das Programmierprojekt

<figure markdown="span">
  ![Programmieren](images/programming.jpg){ loading=lazy }
  <figcaption>Foto von <a href="https://unsplash.com/de/@pakata?utm_content=creditCopyText&utm_medium=referral&utm_source=unsplash">Pakata Goh</a> auf <a href="https://unsplash.com/de/fotos/laptop-neben-monitor-mit-tastatur-und-maus-EJMTKCZ00I0?utm_content=creditCopyText&utm_medium=referral&utm_source=unsplash">Unsplash</a>
      </figcaption>
</figure>

**Projektzeitraum:** 1999–2007 (Die eigentliche Entwicklung des ERP-Systems erfolgte von 1999 bis 2002.)

**Projektbeschreibung:**<br />
In diesem Projekt habe ich ein veraltetes, terminalbasiertes COBOL-System in ein modernes ERP-System transformiert – maßgeschneidert für die Schmuckbranche. Mittels Visual FoxPro wurde das System an die Vorteile der Windows-Welt angepasst und erweitert, was unter anderem eine benutzerfreundliche grafische Oberfläche ermöglichte.

**Technologische Umstellung:**<br />
Parallel zur Softwareentwicklung habe ich die komplette IT-Infrastruktur erneuert. Wir haben den Wechsel von einer Großrechnerarchitektur mit einem seriellen Netzwerk (KIDAN) zu einer modernen Netzwerklösung auf Basis von Ethernet, Glasfaser und Kupfer vollzogen. Ein besonderes Highlight war 1999 die Einführung einer Windows-Terminalserver-Umgebung inkl. Citrix Metaframe – als erstes Unternehmen in Pforzheim. Die Umstellung auf Thin Clients ermöglichte eine zentralisierte Administration und verbesserte den Workflow erheblich.

**Schulungen und Mitarbeitereinbindung:**<br />
Da viele Mitarbeiter bisher ausschließlich mit textbasierten Terminals gearbeitet hatten, habe ich umfassende Schulungen zu Windows und Office-Anwendungen organisiert. So konnten alle Anwender den Übergang reibungslos meistern und das volle Potenzial des neuen Systems nutzen.

**Unterstützung durch Systempartner:**<br />
Bei der Entwicklung arbeitete ich eng mit der SteinhilberSchwehr GmbH zusammen, die uns mit technischer Expertise und konzeptionellen Ideen maßgeblich unterstützte.

**Optimierung der Druckinfrastruktur:**<br />
Um den Betrieb effizienter zu gestalten, wurde die Druckinfrastruktur komplett erneuert:

* **Kyocera-Drucksysteme:** Für den Druck von Laufkarten.
* **Zebra-Etikettendrucker:** Für präzise Schmucketiketten.
* **Tally-Rechnungsdrucker:** Direkt in das ERP-System integriert.
* **Tally-Zeilendrucker:** Für schnelle Reports für Buchhaltung und Geschäftsleitung.

**Erweiterungen des ERP-Systems:**<br />
Zusätzlich zur Modernisierung wurden folgende Erweiterungen integriert:

* **Zollabfertigungssoftware:** Zur Vereinfachung und Automatisierung von Exportprozessen.
* **Goldbuchhaltung:** Für die Produktionsabwicklung.
* **Verbesserte Schmuckaufnahme:** Optimierung der Hardware, um hochauflösende digitale Bilder direkt am Bildschirm anzuzeigen.

**Projekthighlights:**

* **Individuelle Kalkulation:** In Zusammenarbeit mit der Fachhochschule Karlsruhe wurde ein Kalkulationssystem entwickelt, das der Geschäftsleitung und den Kalkulatoren individuelle Berechnungen bis zur Angebotsebene ermöglichte.
* **Umfassende IT-Erneuerung:** Wir haben nahezu alle Systemkomponenten erneuert – beispielsweise wurde die Zeiterfassung zum Jahrtausendwechsel komplett umgestellt und an das ERP angebunden.
* **CAD-Einführung:** Ich war aktiv an der Implementierung eines CAD-Systems für das Schmuckdesign beteiligt.
* **Prozessintegration:** Neben der technischen Umsetzung war ich auch in die Unternehmensprozesse eingebunden, was zur optimalen Abstimmung der IT-Lösungen auf die betrieblichen Anforderungen führte.

**Ausbildung und Weiterentwicklung:**<br />
Während des Projekts habe ich auch meine Erfahrungen in der Ausbildung eingebracht. Ein von mir betreuter Auszubildender hat das Schmuckaufnahmesystem weiter verfeinert – was zu einer deutlich besseren Qualität und Effizienz der digitalen Schmuckdokumentation führte.

**Ergebnis und Mehrwert:**<br />
Durch diese umfassende Modernisierung wurde das Unternehmen nicht nur technologisch auf den neuesten Stand gebracht, sondern auch in seiner Wettbewerbsfähigkeit gestärkt. Die Umstellung auf eine Windows-basierte Umgebung und die Integration moderner Druck-, Zoll- und Produktionssysteme führten zu effizienteren Arbeitsabläufen, einer zentralen Administration und einer benutzerfreundlichen Lösung, die den Alltag der Mitarbeiter erheblich erleichterte.

**Fazit:**<br />
Dieses Projekt hat maßgeblich dazu beigetragen, eine zukunftssichere IT-Landschaft zu schaffen – ideal abgestimmt auf die Anforderungen der Schmuckbranche. Es unterstreicht meine Fähigkeit, komplexe Systeme zu modernisieren, innovative IT-Lösungen zu implementieren und gleichzeitig aktiv an der Weiterentwicklung betrieblicher Prozesse mitzuwirken.