---
pdf: false
comments: false
status: wip
---
# Was muss auf meine Clients?

!!! question "Ups ... ist da etwas noch nicht fertig? :face_with_raised_eyebrow:"

    Ja, dieser Bereich ist noch nicht fertig . Da ich aber gerne die Betrachter meiner Website mit auf meine (Gedanken-)Reise nehmen möchte, stelle ich schon mal etwas ein. Dadurch kann man bereits frühzeitig sehen worin meine Intention mit dieser Einzelseite liegt. :nerd_face:

## Desktop-Clients

Meine Desktop-Client-Systeme richte ich komplett mit Ansible ein und den jeweiligen Paketmanagern und App-Stores des Systems (Linux: [dnf](https://rpm-software-management.github.io/) & [flatpak](https://flatpak.org/), macOS: [Homebrew](https://brew.sh/) & [Mac App Store](https://www.apple.com/de/app-store/)).

### Betriebssysteme

Als Desktop-Betriebssystem für Linux-Systeme setze ich auf [Fedora Workstation](https://fedoraproject.org/workstation/). Es bietet mir die Robustheit, die ich benötige und wird kontinuierlich weiterentwickelt, sodass ich natürlich auch die neuesten Entwicklungen unter Linux mitbekomme. Als primärer Window-Manager kommt [Cinnamon](https://de.wikipedia.org/wiki/Cinnamon_(Desktop-Umgebung)) zum Einsatz, neben anderen.

Für das Macbook Pro und den Mac mini kommt [macOS 15 (Sequoia)](https://www.apple.com/de/macos/macos-sequoia/) zum Einsatz.

[Windows 11](https://www.microsoft.com/de-de/windows/windows-11?r=1) virtualisiere ich mit [UTM](https://getutm.app/) auf meinem macMini und verwende es bei Bedarf.

### Meine Anwendungen

Ich versuche möglichst auf allen Betriebssystemen gleiche Anwendungen zu verwenden, um einen Umgewöhnungseffekt zu vermeiden. Dies gelingt mir nicht immer und ich benötige dann Alternativen. In der nachstehenden Tabelle sind meine All-Time-Favorites kategorisiert aufgeführt und unter welchen Betriebssystemen diese verfügbar sind.

Bevorzugt verwende ich natürlich FOSS-Anwendungen.

| Anwendung                                                             | Kategorie                                                  | Linux | macOS | Windows | Lizenz                                                                                                                                                                |
| --------------------------------------------------------------------- | ---------------------------------------------------------- | :---: | :---: | :-----: | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Amperfy](https://apps.apple.com/de/app/amperfy-music/id1530145038)   | Musikplayer                                                |  ❌   |  ✅   |   ❌    | [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.txt)                                                                                                                    |
| [Audacity](https://www.audacityteam.org/)                             | Audioeditor                                                |  ✅   |  ✅   |   ✅    | [GPLv2+](https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt)                                                                                                       |
| [Bitwarden](https://bitwarden.com/de-de/)                             | Passwort-Manager                                           |  ✅   |  ✅   |   ✅    | [Bitwarden License](https://raw.githubusercontent.com/bitwarden/clients/refs/heads/main/LICENSE_BITWARDEN.txt) und [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.txt) |
| [Brave](https://brave.com/)                                           | Browser                                                    |  ✅   |  ✅   |   ✅    | [MPL-2.0](https://www.mozilla.org/media/MPL/2.0/index.f75d2927d3c1.txt)/[LGPLv2.1](https://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt)                            |
| [GIMP](https://www.gimp.org/)                                         | Grafiksoftware                                             |  ✅   |  ✅   |   ✅    | [LGPLv3+](https://www.gnu.org/licenses/lgpl-3.0.txt) und [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.txt)                                                           |
| [Inkscape](https://inkscape.org/de/)                                  | Vektorgrafik-Programm                                      |  ✅   |  ✅   |   ✅    | [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.txt)                                                                                                                    |
| [LibreOffice](https://de.libreoffice.org/)                            | Office-Paket                                               |  ✅   |  ✅   |   ✅    | [MPL-2.0](https://www.mozilla.org/media/MPL/2.0/index.f75d2927d3c1.txt)                                                                                               |
| [LibreWolf](https://librewolf.net/)                                   | Browser                                                    |  ✅   |  ✅   |   ✅    | [MPL-2.0](https://www.mozilla.org/media/MPL/2.0/index.f75d2927d3c1.txt)                                                                                               |
| [LocalSend](https://localsend.org/de)                                 | Ad-hoc-Service                                             |  ✅   |  ✅   |   ✅    | [Apache-2.0 license](https://www.apache.org/licenses/LICENSE-2.0.txt)                                                                                                 |
| [Mozilla Firefox](https://www.mozilla.org/firefox/new/)               | Browser                                                    |  ✅   |  ✅   |   ✅    | [MPL-2.0](https://www.mozilla.org/media/MPL/2.0/index.f75d2927d3c1.txt)/[LGPLv2.1](https://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt)                            |
| [Mozilla Thunderbird](https://www.thunderbird.net/)                   | E-Mail-Programm, Feedreader, Newsreader, Instant-Messenger |  ✅   |  ✅   |   ✅    | MPL/GPL/LGPL (Mehrfachlizenzierung)                                                                                                                                   |
| [NetNewsWire](https://netnewswire.com/)                               | Feedreader                                                 |  ❌   |  ✅   |   ❌    | [MIT License](https://raw.githubusercontent.com/Ranchero-Software/NetNewsWire/refs/heads/main/LICENSE)                                                                |
| [Nextcloud Desktop Client](https://nextcloud.com/features/#clients)   | Filesharing-Client                                         |  ✅   |  ✅   |   ✅    | [GPLv2+](https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt)                                                                                                       |
| [Nextcloud Talk Desktop](https://nextcloud.com/install/#desktop-talk) | Client für Webkonferenzen                                  |  ✅   |  ✅   |   ✅    | [AGPL v3](https://www.gnu.org/licenses/agpl-3.0.txt)                                                                                                                  |
| [Podman Desktop](https://podman-desktop.io/)                          | Container Management                                       |  ✅   |  ✅   |   ✅    | [Apache-2.0 license](https://www.apache.org/licenses/LICENSE-2.0.txt)                                                                                                 |
| [Vivaldi](https://vivaldi.com/de/)                                    | Browser                                                    |  ✅   |  ✅   |   ✅    | [Freeware](https://de.wikipedia.org/wiki/Freeware) (Teile von Dritten: MPL, GPL, BSD, Apache etc.)                                                                    |
| [VLC](https://www.videolan.org/vlc/)                                  | Mediaplayer                                                |  ✅   |  ✅   |   ✅    | [GPLv2](https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt) und [LGPLv2.1](https://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt)                                 |
| [VSCodium](https://vscodium.com/)                                     | Quelltext-Editor                                           |  ✅   |  ✅   |   ✅    | [MIT License](https://raw.githubusercontent.com/VSCodium/vscodium/refs/heads/master/LICENSE)                                                                          |
| [Waterfox](https://www.waterfox.net/)                                 | Browser                                                    |  ✅   |  ✅   |   ✅    | [MPL-2.0](https://www.mozilla.org/media/MPL/2.0/index.f75d2927d3c1.txt)                                                                                               |
| [Zoom](https://www.zoom.com/)                                         | Videoconferencing                                          |  ✅   |  ✅   |   ✅    | Proprietär                                                                                                                                                            |
| [Zotero](https://www.zotero.org/)                                     | Literaturverwaltung                                        |  ✅   |  ✅   |   ✅    | [AGPL v3](https://www.gnu.org/licenses/agpl-3.0.txt)                                                                                                                  |

### Meine Command-Line-Tools

| Tool                               | Kategorie               | Linux | macOS | Windows | Lizenz                                                                                                             |
| ---------------------------------- | ----------------------- | :---: | :---: | :-----: | ------------------------------------------------------------------------------------------------------------------ |
| [Ansible](http://www.ansible.com/) | Orchestrierung          |  ✅   |  ✅   |   ✅    | [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.txt)                                                                 |
| [Homebrew](https://brew.sh/)        | Package-Manager         |  ✅   |  ✅   |   ❌    | [BSD 2-Clause "Simplified" License](https://raw.githubusercontent.com/Homebrew/brew/refs/heads/master/LICENSE.txt) |
| [Podman](https://podman.io/)       | OS-level virtualization |  ✅   |  ✅   |   ✅    | [Apache-2.0 license](https://www.apache.org/licenses/LICENSE-2.0.txt)                                              |
|                                    |                         |       |       |         |                                                                                                                    |

## Mobile Clients

### Meine Anwendungen

| Anwendung                                 | Kategorie        | iOS | iPadOS | Android | Fire OS | Lizenz                                                                                                                                                                |
| ----------------------------------------- | ---------------- | :-: | :----: | :-----: | :-----: | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Bitwarden](https://bitwarden.com/de-de/) | Passwort-Manager | ✅  |   ✅   |   ✅    |   ❌    | [Bitwarden License](https://raw.githubusercontent.com/bitwarden/clients/refs/heads/main/LICENSE_BITWARDEN.txt) und [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.txt) |
| [LocalSend](https://localsend.org/de)     | Ad-hoc-Service   | ✅  |   ✅   |   ✅    |   ✅    | [Apache-2.0 license](https://www.apache.org/licenses/LICENSE-2.0.txt)                                                                                                 |
| [NetNewsWire](https://netnewswire.com/)   | Feedreader       | ✅  |   ✅   |   ❌    |   ❌    | [MIT License](https://raw.githubusercontent.com/Ranchero-Software/NetNewsWire/refs/heads/main/LICENSE)                                                                |
|                                           |                  |     |        |         |         |                                                                                                                                                                       |
