---
pdf: false
comments: false
status: new
---
# Hardware-Alternativen

Ich mache mir sehr viele Gedanken zu dem Thema Alternativen hinsichtlich Hardware-Beschaffungen. Für mich kristallisieren sich dabei folgende Entscheidungskriterien bzgl. Anschaffung neuer Hardware heraus:

* Unabhängigkeit:
    * Alternativen zu Big-Tech-Unternehmen
    * Keine Zwangsanmeldung bei Hersteller- oder Drittanbieterkonten (Vermeidung von Vendor-Lock-in)
* Nachhaltigkeit im gesamten Lebenszyklus:
    * Ressourcenschonende Herstellung mit wiederverwerteten Materialien
    * Niedriger Energieverbrauch im Betrieb
    * Einfaches Recycling am Ende der Nutzungsdauer
    * Faire Produktionsbedingungen
* Langlebigkeit und Reparierbarkeit:
    * Langfristige Update-Unterstützung (mindestens 6 Jahre)
    * Einfache Reparaturfähigkeit mit austauschbaren Teilen
    * Verfügbarkeit von Ersatzteilen über lange Zeit (>5 Jahre)
* Autonomie und Offenheit:
    * Kompatibilität mit offenen Standards
    * Möglichkeit, auch gebrauchte Hardware zu nutzen
    * Europäischer Lieferant
    * Einsatz von Open-Source-Betriebsystemen (Linux, BSD-Derivate, ...)

## Alternativen

Ich habe derzeit folgende Alternativen für mich aufgetan und etwas näher beschrieben:

| Device         | Alternative                                                                                                                                                         | Hersteller             | Herkunftsland          |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------- | ---------------------- |
| Desktop        | [Desktop](https://frame.work/de/de/desktop) mit Prozessoren der AMD Ryzen™ AI Max 300 Serie                                                                         | Framework® Computer BV | Niederlande            |
| Desktop        | [Raspberry Pi 500](https://www.raspberrypi.com/products/raspberry-pi-500/) mit 8GB RAM, 2.4GHz quad-core 64-bit Arm Cortex-A76 CPU, 32 GB Class A2 microSD included | Raspberry Pi Trading   | Vereinigtes Königreich |
| Desktop/Server | [Raspberry Pi 5 16 GB](https://www.raspberrypi.com/products/raspberry-pi-5/)                                                                                        | Raspberry Pi Trading   | Vereinigtes Königreich |
| Laptop         | [Laptop 13](https://frame.work/de/de/laptop13) mit Prozessoren der AMD Ryzen™ AI 300 Serie                                                                          | Framework® Computer BV | Niederlande            |
| Router         | [Banana Pi BPI-R4](https://www.banana-pi.org/en/bananapi-router/155.html) Wifi 7 Router board with MTK MT7988A design,4G RAM and 8G eMMC onboard                    | Banana Pi team         | China |
| Smartphone     | [Fairphone 5 /e/OS](https://shop.fairphone.com/de/fairphone-5-e-operating-system) mit 8 GB RAM und 256 GB interner Speicher                                         | Fairphone B.V.         | Niederlande            |
| Smartphone     | [SHIFTphone 8.1](https://www.shift.eco/shiftphone-8-status/#eckdaten) mit 12 GB RAM und 256 GB interner Speicher                                                    | SHIFT GmbH             | Deutschland            |
